%define pypi_name Unidecode

Name:		python-unidecode
Version:	1.3.8
Release:	%mkrel 1
Summary:	US-ASCII transliterations of Unicode text

Group:		Development/Python
License:	GPLv2+
URL:		https://pypi.org/project/%{pypi_name}/%{version}
Source0:	https://pypi.python.org/packages/source/U/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

BuildArch:	noarch

%description
This is a python port of Text::Unidecode Perl module. It provides a function,
'unidecode(...)' that takes Unicode data and tries to represent it in ASCII
characters.

%package -n python3-unidecode
Group:		Development/Python
Summary:	US-ASCII transliterations of Unicode text
BuildRequires:	pyproject-rpm-macros
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3dist(setuptools)
%{?python_provide:%python_provide python3-unidecode}

%description -n python3-unidecode
This is a python port of Text::Unidecode Perl module. It provides a function,
'unidecode(...)' that takes Unicode data and tries to represent it in ASCII
characters.


%prep
%setup -q -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files unidecode

rm -f %{buildroot}%{_bindir}/unidecode

%files -n python3-unidecode -f %{pyproject_files}
%doc README.rst ChangeLog



%changelog
* Wed Mar 06 2024 daviddavid <daviddavid> 1.3.8-1.mga10
+ Revision: 2047744
- new version: 1.3.8

* Fri Dec 29 2023 daviddavid <daviddavid> 1.3.7-1.mga10
+ Revision: 2023646
- new version: 1.3.7

* Fri Dec 29 2023 daviddavid <daviddavid> 1.3.4-2.mga10
+ Revision: 2023645
- rebuild for py3.12

* Wed Sep 07 2022 neoclust <neoclust> 1.3.4-1.mga9
+ Revision: 1885367
- New version 	1.3.4

* Wed Mar 23 2022 umeabot <umeabot> 1.2.0-3.mga9
+ Revision: 1822634
- Mageia 9 Mass Rebuild

* Mon Feb 14 2022 neoclust <neoclust> 1.2.0-2.mga9
+ Revision: 1774759
- rebuild for python 3.10

* Sun Mar 21 2021 joequant <joequant> 1.2.0-1.mga9
+ Revision: 1706352
- update to 1.2.0 / python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 1.0.23-4.mga8
+ Revision: 1531812
- Mageia 8 Mass Rebuild

* Sun Sep 15 2019 daviddavid <daviddavid> 1.0.23-3.mga8
+ Revision: 1441057
- rebuild for python3.8
- drop python2 support

* Tue Jan 08 2019 tv <tv> 1.0.23-2.mga7
+ Revision: 1352480
- rebuild with python 3.7

* Sun Dec 30 2018 luigiwalser <luigiwalser> 1.0.23-1.mga7
+ Revision: 1346834
- 1.0.23

* Fri Sep 21 2018 umeabot <umeabot> 1.0.22-2.mga7
+ Revision: 1290447
- Mageia 7 Mass Rebuild

* Tue Apr 17 2018 kekepower <kekepower> 1.0.22-1.mga7
+ Revision: 1219719
- Update to version 1.0.22
- Rename python-unidecode to python2-unidecode
- Use python_provide

* Sat Aug 05 2017 pterjan <pterjan> 0.04.18-3.mga7
+ Revision: 1135675
- Rebuild for python 3.6

* Mon Jan 18 2016 daviddavid <daviddavid> 0.04.18-2.mga6
+ Revision: 925606
- use new python macros

* Mon Jan 18 2016 luigiwalser <luigiwalser> 0.04.18-1.mga6
+ Revision: 925567
- 0.04.18
- BR setuptools

* Thu Oct 08 2015 tv <tv> 0.04.16-5.mga6
+ Revision: 887447
- rebuild for python 3.5

* Wed Oct 15 2014 umeabot <umeabot> 0.04.16-4.mga5
+ Revision: 739442
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.04.16-3.mga5
+ Revision: 729954
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.04.16-2.mga5
+ Revision: 688401
- Mageia 5 Mass Rebuild

* Fri Sep 05 2014 philippem <philippem> 0.04.16-1.mga5
+ Revision: 672437
- update to 0.04.16

* Sat May 31 2014 pterjan <pterjan> 0.04.14-4.mga5
+ Revision: 629078
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0.04.14-3.mga4
+ Revision: 544398
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.04.14-2.mga4
+ Revision: 499667
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Oct 06 2013 philippem <philippem> 0.04.14-1.mga4
+ Revision: 492224
- imported package python-unidecode

